> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralfactory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Use Cases

> API key permission: Agents (Admin also opens it).



## OpenAPI

````yaml /api-reference/openapi.json get /use-cases
openapi: 3.1.0
info:
  title: Neural Factory API
  version: 0.1.0
  description: >-
    The endpoints a program can call with an API key. Exchange the key's secret
    for a token at POST /apikeys/token and send it as a Bearer token.
servers:
  - url: https://api.neuralfactory.ai
    description: SaaS
  - url: https://{apiHost}
    description: 'Enterprise: the API address of your own deployment'
    variables:
      apiHost:
        default: api.example.com
        description: Your deployment's API host
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Chat
  - name: Runs
  - name: Agents
  - name: Workflows
  - name: Schedules
  - name: Knowledge bases
  - name: Documents
  - name: Search
  - name: Skills
  - name: Toolkits
  - name: Files
  - name: Interactions
  - name: Usage and billing
  - name: Catalogue
  - name: Browser
  - name: Users
  - name: Groups
  - name: Builds
paths:
  /use-cases:
    get:
      tags:
        - Catalogue
      summary: List Use Cases
      description: 'API key permission: Agents (Admin also opens it).'
      operationId: list_use_cases_use_cases_get
      parameters:
        - name: env
          in: query
          required: false
          schema:
            title: Env
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UseCaseList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UseCaseList:
      properties:
        verticals:
          items:
            $ref: '#/components/schemas/VerticalRef'
          type: array
          title: Verticals
        items:
          items:
            $ref: '#/components/schemas/UseCaseCard'
          type: array
          title: Items
      type: object
      required:
        - verticals
        - items
      title: UseCaseList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VerticalRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: VerticalRef
    UseCaseCard:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        vertical:
          $ref: '#/components/schemas/VerticalRef'
        shape:
          $ref: '#/components/schemas/Shape'
        outcome:
          type: string
          title: Outcome
        problem:
          type: string
          title: Problem
        priority:
          $ref: '#/components/schemas/Priority'
        time_to_value_days:
          type: integer
          title: Time To Value Days
        readiness:
          $ref: '#/components/schemas/Readiness'
        activations:
          items:
            $ref: '#/components/schemas/Activation'
          type: array
          title: Activations
      type: object
      required:
        - id
        - name
        - vertical
        - shape
        - outcome
        - problem
        - priority
        - time_to_value_days
        - readiness
        - activations
      title: UseCaseCard
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Shape:
      type: string
      enum:
        - workflow
        - agent
        - agent+workflow
        - scheduled-workflow
      title: Shape
    Priority:
      type: string
      enum:
        - core
        - standard
        - niche
      title: Priority
    Readiness:
      properties:
        state:
          type: string
          enum:
            - ready
            - connect
            - system
          title: State
        toolkits:
          items:
            $ref: '#/components/schemas/ToolkitNeed'
          type: array
          title: Toolkits
        systems:
          items:
            $ref: '#/components/schemas/SystemNeed'
          type: array
          title: Systems
        documents:
          items:
            $ref: '#/components/schemas/DocumentNeed'
          type: array
          title: Documents
      type: object
      required:
        - state
        - toolkits
        - systems
        - documents
      title: Readiness
      description: How close the caller's organisation is to running a use case.
    Activation:
      properties:
        kind:
          type: string
          enum:
            - agent
            - workflow
          title: Kind
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        published:
          type: boolean
          title: Published
      type: object
      required:
        - kind
        - id
        - name
        - published
      title: Activation
      description: Something already made from a use case that the caller can open.
    ToolkitNeed:
      properties:
        type:
          type: string
          title: Type
        name:
          type: string
          title: Name
        connected:
          type: boolean
          title: Connected
        offerable:
          type: boolean
          title: Offerable
      type: object
      required:
        - type
        - name
        - connected
        - offerable
      title: ToolkitNeed
    SystemNeed:
      properties:
        name:
          type: string
          title: Name
        purpose:
          type: string
          title: Purpose
      type: object
      required:
        - name
        - purpose
      title: SystemNeed
    DocumentNeed:
      properties:
        name:
          type: string
          title: Name
        contents:
          type: string
          title: Contents
        knowledge_base_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Base Id
      type: object
      required:
        - name
        - contents
        - knowledge_base_id
      title: DocumentNeed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        The access_token returned by POST /apikeys/token for an API key's
        secret.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.